import { combineExtensions } from "../micromark-util-combine-extensions/index.js";
import { gfmAutolinkLiteral } from "../micromark-extension-gfm-autolink-literal/lib/syntax.js";
import { gfmFootnote } from "../micromark-extension-gfm-footnote/lib/syntax.js";
import { gfmStrikethrough } from "../micromark-extension-gfm-strikethrough/lib/syntax.js";
import { gfmTable } from "../micromark-extension-gfm-table/lib/syntax.js";
import { gfmTaskListItem } from "../micromark-extension-gfm-task-list-item/lib/syntax.js";
function gfm(o) {
	return combineExtensions([
		gfmAutolinkLiteral(),
		gfmFootnote(),
		gfmStrikethrough(o),
		gfmTable(),
		gfmTaskListItem()
	]);
}
export { gfm };
